Cyberduck Mountain Duck CLI

#4214 closed defect (fixed)

Save from editor fails if session is stale

Reported by: mike.kristopeit@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: sftp Version: 3.4.1
Severity: normal Keywords: saves fail
Cc: Architecture:
Platform:

Description (last modified by dkocher)

this is a sub-item from a previous ticket.

the other problem with stale sessions is saves also fail with no warnings. it's very easy to lose data.

the fix is to hit save in the editor, then in cyberduck hit the stop button, then hit save again in the edit and cyberduck will reconnect and upload properly. that should be detected and automated. or perhaps a timeout setting... "reconnect after server hasn't responded for 5 seconds"...

Change History (8)

comment:1 Changed on Feb 12, 2010 at 9:11:12 AM by yla

  • Priority changed from high to normal
  • Severity changed from major to normal

Mentioned previous ticket is #3941

comment:2 Changed on Feb 16, 2010 at 9:41:10 PM by mike.kristopeit@…

this problem exists when using SFTP... i think it's a specific SFTP problem.

comment:3 Changed on Feb 16, 2010 at 9:42:16 PM by mike.kristopeit@…

i think the potential data loss justifies this as a high or major priority item.

data loss is never acceptable in a production product.

comment:4 Changed on Jul 28, 2010 at 3:07:04 PM by dkocher

It should reconnect and save after the default timeout (configurable in Connection Preferences) of 30 seconds. window curtains - craft kits

Last edited on Oct 21, 2010 at 9:47:23 AM by frenzyl (previous) (diff)

comment:5 Changed on Jul 28, 2010 at 3:07:26 PM by dkocher

  • Summary changed from saves fail when the sessions are stale to Save from editor fails if session is stale

comment:6 Changed on Jul 29, 2010 at 8:01:13 AM by dkocher

  • Description modified (diff)

comment:7 Changed on Jul 29, 2010 at 4:04:22 PM by dkocher

  • Milestone set to 3.6
  • Resolution set to fixed
  • Status changed from new to closed

In r6464. See also #5073.

comment:8 Changed on Jul 29, 2010 at 4:04:35 PM by dkocher

  • Component changed from core to sftp
Note: See TracTickets for help on using tickets.
swiss made software